%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Tie/Array.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Bit-Vector-Array
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Perl extension for manipulating bit vectors as an array
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GS/GSLONDON/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Bit::Vector::Array is used to store an integer, but access
bits of that integer as a bit vector. The integer is stored
by assigning to the scalar value of an array. Individual bits
are accessed by indexing into the array. The bit indexes
start at 1 and increase from there.

To set the least significant bit in @arr, use this:
_$arr[1]=1;


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/B*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

